[releng] misc: add script to compare release and updates-testing tag

Dan Horák sharkcz at fedoraproject.org
Mon Dec 8 11:30:28 UTC 2014


commit 82028fee21abce959ae9ec45e8ec5d0e4c275baf
Author: Dan Horák <dan at danny.cz>
Date:   Mon Dec 8 12:29:59 2014 +0100

    misc: add script to compare release and updates-testing tag

 scripts/misc/ga-cleanup |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
---
diff --git a/scripts/misc/ga-cleanup b/scripts/misc/ga-cleanup
new file mode 100755
index 0000000..309878e
--- /dev/null
+++ b/scripts/misc/ga-cleanup
@@ -0,0 +1,29 @@
+#! /bin/sh
+#
+# Copyright (C) 2014 Red Hat, Inc.
+# SPDX-License-Identifier:      GPL-2.0+
+#
+# Authors:
+#	Dan Horák <dan at danny.cz>
+#
+# script to print builds that are tagged both into the GA tag and updates-testing
+# this happens during the final freeze period where updates go through bodhi and
+# are tagged into the release tag from updates-testing tag
+#
+# usage: gq-cleanup <tag>
+#
+# example: ./ga-cleanup f21
+#
+
+if [ $# -ne 1 ]; then
+    echo "usage: $0 <tag>"
+    exit 1
+fi
+
+tag=$1
+
+export LANG=C
+
+koji list-tagged --quiet $tag | gawk '{ print $1 }' > builds-$tag
+koji list-tagged --quiet $tag-updates-testing | gawk '{ print $1 }' > builds-$tag-updates-testing
+comm -12 builds-$tag builds-$tag-updates-testing > builds-to-untag


More information about the rel-eng mailing list